% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/elasticizer.R
\name{elasticizer}
\alias{elasticizer}
\title{Generate a data frame out of unparsed Elasticsearch JSON}
\usage{
elasticizer(query, src = T, index = "maml",
  es_pwd = .rs.askForPassword("Elasticsearch READ"), batch_size = 1024,
  max_batch = Inf, time_scroll = "5m", update = NULL,
  localhost = F, ...)
}
\arguments{
\item{query}{A JSON-formatted query in the Elasticsearch query DSL}

\item{src}{Logical (true/false) indicating whether or not the source of each document should be retrieved}

\item{index}{The name of the Elasticsearch index to search through}

\item{es_pwd}{The password for Elasticsearch read access}

\item{batch_size}{Batch size}

\item{max_batch}{Maximum number batches to retrieve}

\item{time_scroll}{Time to keep the scroll instance open (defaults to 5m, with a maximum of 500 allowed instances, so a maximum of 100 per minute)}

\item{update}{When set, indicates an update function to use on each batch of 1000 articles}

\item{...}{Parameters passed on to the update function}

\item{local}{Defaults to false. When true, connect to a local Elasticsearch instance on the default port (9200)}
}
\value{
A data frame containing all the search results
}
\description{
Generate a data frame out of unparsed Elasticsearch JSON
}
\examples{
elasticizer(query, src = TRUE, index = "maml", update = NULL, localhost = F)
}
